'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _toConsumableArray2 = require('babel-runtime/helpers/toConsumableArray');

var _toConsumableArray3 = _interopRequireDefault(_toConsumableArray2);

var _compose = require('../modules/compose');

var _compose2 = _interopRequireDefault(_compose);

var _ProvideContext = require('./ProvideContext');

var _ProvideContext2 = _interopRequireDefault(_ProvideContext);

var _InjectEnvVars = require('./InjectEnvVars');

var _InjectEnvVars2 = _interopRequireDefault(_InjectEnvVars);

var _InjectGithubAccessToken = require('./InjectGithubAccessToken');

var _InjectGithubAccessToken2 = _interopRequireDefault(_InjectGithubAccessToken);

var _InjectGithubUser = require('./InjectGithubUser');

var _InjectGithubUser2 = _interopRequireDefault(_InjectGithubUser);

var _DemandSignedIn = require('./DemandSignedIn');

var _DemandSignedIn2 = _interopRequireDefault(_DemandSignedIn);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var decorators = [(0, _InjectEnvVars2.default)({ GITHUB_CLIENT_ID: 'githubClientId' }), _InjectGithubAccessToken2.default, _InjectGithubUser2.default];

if (process.env.NODE_ENV === 'development') {
  var PageDecoratorInvariant = require('./PageDecoratorInvariant').default;
  decorators = [].concat((0, _toConsumableArray3.default)(decorators), [PageDecoratorInvariant('PrivatePage')]);
}

decorators = [].concat((0, _toConsumableArray3.default)(decorators), [_ProvideContext2.default, _DemandSignedIn2.default]);

var PrivatePage = _compose2.default.apply(undefined, (0, _toConsumableArray3.default)(decorators));

exports.default = PrivatePage;